Bug 17361 - RH LINUX 6.2 Install program does not recognize Qlogic ISP1040B SCSI controller.
RH LINUX 6.2 Install program does not recognize Qlogic ISP1040B SCSI controller.
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-08 10:53 EDT by Alan Marley
Modified: 2007-04-18 12:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-02 17:43:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Marley 2000-09-08 10:53:55 EDT
When installing RH LINUX 6.2 on a Compaq Alpha Personal Workstation 500a, the install program complains that it cannot find a valid device 
on which to create new filesystems.  Apparently, it cannot recognize the Qlogic ISP1040B SCSI controller.  This controller is embedded on the 
system board.  Has anyone found a workaround or a patch of some kind to allow RH LINUX 6.2 to run on this machine?  The instresting thing 
about this is that RH LINUX 5.2 installs and runs just fine.
Comment 1 Dean Brunson 2000-10-01 02:14:39 EDT
We have the same problem with an HP NetServer 5/66 LC installing RH 6.2 and RH 
7.0.  The on-board SCSI adapter is an Adaptec AIC-7770 BIOS v2.1.  We have 
successfully installed various versions of DOS, NetWare (3.x, 4.x, 5.x), 
Windows 95/98, WinNT 4.0, as well as UnixWare 2.1 and Caldera OpenLinux 2.4 
with no problems.  With RH 6.2 or RH 7.0 immediately after choosing the install 
type (server, workstation, custom) we get the error message -- cannot find a 
valid device on which to create new filesystems.

We have tried all the suggestions in PID_121 -- AIC 7xxx chipset 
(Adaptec AHA-294x, Adaptec AHA-394x) -- to check all possible termination 
issues, disable sync negotiation and disconnect, disable extended BIOS 
translation for drives > 1 Gb, verifying SCSI ID 0, and reducing peak 
throughput to 5 Mb/sec.  All variations work fine with the Caldera install, and 
none work with RH 6.2 or RH 7.0.
Comment 2 Alan Marley 2000-10-02 12:23:04 EDT
I can only speak for the Alpha 500a with the embedded QLogic ISP1040B SCSI controller.  The following information came from COMPAQ's JumpStart! 
message forum.(www.linuxalpha.compaq.com/sourceforge/forum...) Thread subject:QLogic on Miata Hardware Issues.
The install kernel of the RedHat 6.2 distribution is set to enable the generic PCI IDE chipset support which assigns teh IDE the same SCSI area in 
memory.  This is why the install program cannot find a disk drive to load the system on.  The fix I used to get around this was to use compaq's 
JumpStart! software to format the disk and run the install program.  When the install was finished, I copied the JumpStart! kernel and System.map 
images to the freshly installed RedHat 6.2 system.  Then rebuilt the kernel by running menuconfig and selecting "Block Devices" and unchecking 
"Generic PCI IDE chipset support".  The details are at the URL described above.
Comment 3 Dean Brunson 2000-10-02 17:43:50 EDT
Thanks to the additional comment from awm@inel.gov I swapped my IDE CD-ROM for 
a SCSI CD-ROM, and disabled the IDE interface in the system setup.  Once that 
was done RH 7.0 install ran. :-)

Note You need to log in before you can comment on or make changes to this bug.